Summary:	Oxygen-Gtk - a port of the default KDE widget theme (Oxygen), to gtk
Name:		oxygen-gtk
Version:	1.4.6
Release:	3
License:	LGPL v2.1
Group:		Themes/GTK+
Source0:	http://download.kde.org/stable/oxygen-gtk2/%{version}/src/%{name}2-%{version}.tar.bz2
# Source0-md5:	493892fc36302bfe862604f667a6c04e
Patch0:		%{name}-popen.patch
URL:		https://projects.kde.org/projects/playground/artwork/oxygen-gtk/
BuildRequires:	cairo-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	dbus-glib-devel
BuildRequires:	gtk+2-devel >= 2.24.2
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk and
qt-based applications running under kde. A secondary objective is to
also have a stand-alone nice looking gtk theme that would behave well
on other Desktop Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this
attempt does not depend on Qt (via some Qt to Gtk conversion engine),
nor does render the widget appearance via hard coded pixmaps, which
otherwise breaks everytime some setting is changed in kde.

%prep
%setup -q -n %{name}2-%{version}
%patch0 -p1

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.*/2.*.*/engines/liboxygen-gtk.so
%dir %{_datadir}/themes/oxygen-gtk
%dir %{_datadir}/themes/oxygen-gtk/gtk-2.*
%{_datadir}/themes/oxygen-gtk/gtk-2.*/argb-apps.conf
%{_datadir}/themes/oxygen-gtk/gtk-2.*/gtkrc
%{_datadir}/themes/oxygen-gtk/gtk-2.*/icons4
%{_datadir}/themes/oxygen-gtk/gtk-2.*/kdeglobals
%{_datadir}/themes/oxygen-gtk/gtk-2.*/oxygenrc
%dir %{_datadir}/themes/oxygen-gtk/gtk-2.*/special-icons
%{_datadir}/themes/oxygen-gtk/gtk-2.*/special-icons/standardbutton-closetab-16.png
%{_datadir}/themes/oxygen-gtk/gtk-2.*/special-icons/standardbutton-closetab-down-16.png
%{_datadir}/themes/oxygen-gtk/gtk-2.*/special-icons/standardbutton-closetab-hover-16.png
%changelog
* Mon Sep 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/oxygen-gtk.git;a=log;h=master

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a2d6eb
- rel 3; back to using popen to avoid lockups (for example google chrome UI freezes entirely); https://bugs.kde.org/show_bug.cgi?id=352901

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> f92b85c
- release 2 (by relup.sh)

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fb5da6d
- updated url

* Mon Nov 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 514b133
- up to 1.4.6

* Sun Jan 05 2014 Jan Rękorajski <baggins@pld-linux.org> daf7d99
- up to 1.4.1

* Thu Jun 28 2012 Karol Krenski <charles@pld-linux.org> 2821238
- updated to 1.2.5

* Sun Mar 25 2012 Karol Krenski <charles@pld-linux.org> 24f83c1
- updated to 1.1.6

* Sat Sep 17 2011 Paweł Sikora <pluto@pld-linux.org> bcf001e
- seems to work (at least for me with iceweasel/gimp/wicd) in kde47 env, relase 1.

* Fri Sep 16 2011 Paweł Sikora <pluto@pld-linux.org> 74e81c6
- initial oxygen for gtk theme spec.

